<?php
// Replace your_website.com with your website url and the script is ready to go.
$website = 'your_website.com';
?>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <title>Leave A Tip</title>
    <meta name="description" content="Fake Tip Website To Mess With Your Friends">
    <meta name="author" content="<?= $website; ?>">
    <meta name="theme-color" content="#1C4BC3">

    <style>
        /* Fullscreen button styling */
        #fullscreenButton {
            position: absolute;
            top: 20px;
            right: 20px;
            padding: 10px 20px;
            font-size: 18px;
            background-color: #1C4BC3;
            color: white;
            border: none;
            cursor: pointer;
        }

        #fullscreenButton:hover {
            background-color: #2192ff;
        }

        /* Go Back link styling */
        #goBackLink {
            position: absolute;
            top: 60px;
            right: 20px;
            font-size: 16px;
            color: #1C4BC3;
            text-decoration: none;
            cursor: pointer;
        }

        #goBackLink:hover {
            color: #2192ff;
        }

        /* Modal style for the entire screen */
        .modal {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.8);
            z-index: 9999;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        .modal-content {
            width: 100%;
            height: 100%;
            background-color: white;
            padding: 20px;
            text-align: center;
            display: flex;
            flex-direction: column;
            justify-content: center;
            align-items: center;
        }

        .tip-btn {
            background-color: #1C4BC3;
            color: white;
            padding: 15px;
            margin: 10px;
            border: none;
            cursor: pointer;
            font-size: 22px;
            width: 150px;
        }

        .tip-btn:hover {
            background-color: #2192ff;
        }

        /* Custom and No Tip Buttons Spanning 3 Tip Buttons */
        .wide-btn {
            width: 500px;
        }

        /* Custom Tip and Submit Side by Side */
        .custom-tip-container {
            display: none;
            justify-content: center;
            align-items: center;
            gap: 20px;
            margin-top: 20px;
        }

        .custom-tip-input {
            padding: 10px;
            width: 50%;
            font-size: 22px;
        }

        .submit-tip-btn {
            background-color: #1C4BC3;
            color: white;
            padding: 15px;
            cursor: pointer;
            font-size: 22px;
        }

        /* Confirmation message styling */
        .confirmation-modal,
        .no-tip-modal {
            position: fixed;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background-color: rgba(0, 0, 0, 0.8);
            z-index: 10000;
            display: none;
            justify-content: center;
            align-items: center;
        }

        .confirmation-content,
        .no-tip-content {
            padding: 20px;
            background-color: white;
            text-align: center;
            width: 50%;
            box-shadow: 0 4px 8px rgba(0, 0, 0, 0.2);
            border-radius: 10px;
        }

        /* Responsive design for smaller screens */
        @media (max-width: 768px) {

            .confirmation-content,
            .no-tip-content {
                width: 80%;
            }

            .tip-options .tip-btn {
                width: 120px;
                /* Smaller buttons */
                padding: 10px;
            }

            .wide-btn {
                width: 400px;
                /* Adjust width for smaller screens */
            }

            .submit-tip-btn {
                padding: 10px;
            }

            .custom-tip-input {
                width: 60%;
                /* Adjust input size for smaller screens */
            }
        }

        @media (max-width: 480px) {

            .confirmation-content,
            .no-tip-content {
                width: 90%;
            }

            .tip-options .tip-btn {
                width: 100px;
                /* Smaller buttons for mobile */
                padding: 8px;
            }

            .wide-btn {
                width: 350px;
                /* Adjust width for mobile screens */
            }

            .submit-tip-btn {
                padding: 10px;
            }

            .custom-tip-input {
                width: 70%;
                /* Adjust input size for mobile */
            }
        }
    </style>
</head>

<body>
    <noscript>
        <div style="text-align: center; padding: 20px;">
            <p>It looks like JavaScript is disabled in your browser. This page requires JavaScript to function properly.
            </p>
            <p>Please join the 21st century and enable JavaScript or <a href="<?= $website; ?>">go back</a>.</p>
        </div>
    </noscript>

    <!-- Initial Tip Modal -->
    <div id="tipModal" class="modal">
        <button id="fullscreenButton">Go Fullscreen</button>
        <small id="goBackLink"><a href="<?= $website; ?>">Go Back</a></small>
        <div class="modal-content">
            <h2>Leave A Tip?</h2>
            <p>Support my frivolous lifestyle!</p>
            <div class="tip-options">
                <button class="tip-btn" aria-label="Tip $1" onclick="submitTip(1)">$1</button>
                <button class="tip-btn" aria-label="Tip $5" onclick="submitTip(5)">$5</button>
                <button class="tip-btn" aria-label="Tip $10" onclick="submitTip(10)">$10</button>
            </div>

            <!-- No Tip Button Spanning 3 Buttons -->
            <div>
                <button class="tip-btn wide-btn" aria-label="No Tip" onclick="noTip()">No Tip</button>
            </div>

            <!-- Custom Tip Input and Submit Button (Initially hidden) -->
            <div class="custom-tip-container" id="customTipContainer">
                <h2>$</h2><input type="number" class="custom-tip-input" placeholder="Enter custom amount">
                <button id="fakeTipSubmit" class="submit-tip-btn">Submit Tip</button>
            </div>

            <!-- Custom Tip Button Spanning 3 Buttons -->
            <div id="customTipDiv">
                <button class="tip-btn wide-btn" aria-label="Custom Tip" onclick="showCustomTip()">Custom</button>
            </div>
        </div>
    </div>

    <!-- Confirmation Modal -->
    <div id="confirmationModal" class="confirmation-modal">
        <div class="confirmation-content">
            <h2>Thank you!</h2>
            <p id="confirmationText"></p>
        </div>
    </div>

    <!-- No Tip Modal -->
    <div id="noTipModal" class="no-tip-modal">
        <div class="no-tip-content">
            <h2>No Tip? You Are A Monster!</h2>
            <p>Excuse me while I go have a cry.</p>
        </div>
    </div>

    <script>
        const confirmationMessages = [
            "Thanks for the tip! I'm off to buy $${amount} worth of tacos.",
            "You're amazing! This $${amount} will fund my coffee addiction.",
            "With this $${amount}, I might just buy a yacht... or a sandwich.",
            "Every dollar counts! Your $${amount} keeps the dream alive.",
            "Thanks for your $${amount}! Time to treat myself to some chocolate."
        ];

        // Function to show the custom tip input and submit button below "No Tip"
        function showCustomTip() {
            // Hide the Custom button
            document.getElementById('customTipDiv').style.display = 'none';

            // Show the input and submit button
            document.getElementById('customTipContainer').style.display = 'flex';
        }

        // Function to submit the tip and show the confirmation modal
        // Function to get a random message
        function getRandomMessage(amount) {
            const randomIndex = Math.floor(Math.random() * confirmationMessages.length);
            return confirmationMessages[randomIndex].replace("${amount}", amount);
        }

        function submitTip(amount) {
            // Get a random message and set it in the confirmation modal
            const randomMessage = getRandomMessage(amount);
            document.querySelector('#confirmationText').textContent = randomMessage;

            // Show the confirmation modal
            document.querySelector('#confirmationModal').style.display = 'flex';

            // Hide the initial modal
            document.querySelector('#tipModal').style.display = 'none';

            // After 3 seconds, hide the confirmation modal and reset the form
            setTimeout(function () {
                document.querySelector('#confirmationModal').style.display = 'none';
                resetForm();
            }, 3000);
        }

        function resetForm() {
            // Reset the custom tip input field
            document.querySelector('.custom-tip-input').value = '';

            // Reset the visibility of the Custom Tip button and container
            document.getElementById('customTipDiv').style.display = 'block';
            document.getElementById('customTipContainer').style.display = 'none';

            // Show the initial modal again
            document.querySelector('#tipModal').style.display = 'flex';
        }

        // Custom tip submission
        document.querySelector('#fakeTipSubmit').addEventListener('click', function () {
            const customAmount = document.querySelector('.custom-tip-input').value;
            if (customAmount) {
                submitTip(customAmount);
            }
        });

        // Function for No Tip
        function noTip() {
            // Show the no tip modal
            document.querySelector('#noTipModal').style.display = 'flex';

            // Hide the initial modal
            document.querySelector('#tipModal').style.display = 'none';

            // After 3 seconds, hide the no tip modal and reset the form
            setTimeout(function () {
                document.querySelector('#noTipModal').style.display = 'none';
                resetForm();
            }, 3000);
        }


        // Fullscreen button functionality
        document.getElementById('fullscreenButton').addEventListener('click', function () {
            if (document.documentElement.requestFullscreen) {
                document.documentElement.requestFullscreen();
            } else if (document.documentElement.mozRequestFullScreen) { // Firefox
                document.documentElement.mozRequestFullScreen();
            } else if (document.documentElement.webkitRequestFullscreen) { // Chrome, Safari and Opera
                document.documentElement.webkitRequestFullscreen();
            } else if (document.documentElement.msRequestFullscreen) { // IE/Edge
                document.documentElement.msRequestFullscreen();
            }

            // Hide the fullscreen button and the Go Back link after they are clicked
            document.getElementById('fullscreenButton').style.display = 'none';
            document.getElementById('goBackLink').style.display = 'none';
        });
    </script>

</body>

</html>